APLAYMIDI2(1)

NAME
aplaymidi2 - play MIDI Clip Files

SYNOPSIS
aplaymidi2 -p client:port[,...] midi2file ...

DESCRIPTION
aplaymidi2 is a command-line utility that plays the specified MIDI Clip file(s) to one or more ALSA sequencer ports.

OPTIONS

-h, --help
    Prints a list of options.

-V, --version
    Prints the current version.

-p, --port=client:port,...
    Sets the sequencer port(s) to which the events in the MIDI Clip file(s) are sent. A client can be specified by its number, its name, or a prefix of its name. A port is specified by its number; for port 0 of a client, the ":0" part of the port specification can be omitted. Multiple ports can be specified to allow playback of MIDI Clip file(s) that contain events for multiple devices (ports) corresponding to the multiple UMP Groups. For compatibility with pmidi(1), the port specification is taken from the ALSA_OUTPUT_PORTS environment variable if none is given on the command line. aplaymidi2 supports only basic UMP events: in addition to the standard MIDI1 and MIDI2 CVMs and 7bit SysEx, only the following are supported: DCTPQ, DC, Set Tempo, Start Clip, End Clip. Lyrics and other meta data in Flex Data are printed, too, unless -s option is given. The multiple output ports are useful when the given MIDI Clip file contains the UMP packets for multiple Groups. When the destination port is a UMP MIDI 2.0 port, the single connection should suffice, though, since a MIDI 2.0 port can process the inputs for multiple Groups. For other cases (e.g. connecting to a legacy MIDI port), you would need to specify the destination port per Group. If undefined, it's sent to the first destination port as default.

-d, --delay=seconds
    Specifies how long to wait after the end of each MIDI Clip file, to allow the last notes to die away. Default is 2 seconds.

-s, --silent
    Don't show message texts.

-a, --passall
    Pass all UMP packets as is. As default, aplaymidi2 passes only MIDI1 and MIDI2 channel voice messages and process other UMP packets internally. With this option, it passes all UMP packets to the target.

SEE ALSO
pmidi(1)
aplaymidi(1)

AUTHOR
Takashi Iwai <tiwai@suse.de>